using salesbook.Maui.Core;
using salesbook.Shared.Core.Interface.System.Battery;

namespace salesbook.Maui;

public static class iOSModule
{
    public static MauiAppBuilder RegisterIosAppServices(this MauiAppBuilder mauiAppBuilder)
    {
        mauiAppBuilder.Services.AddSingleton<IBatteryOptimizationManagerService, BatteryOptimizationManagerService>();
        return mauiAppBuilder;
    }
}